Package org.eclipse.net4j.util.factory

# Class TreeFactory.ContainerAware

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.factory.TreeFactory
org.eclipse.net4j.util.factory.TreeFactory.ContainerAware

All Implemented Interfaces:
  `IManagedContainer.ContainerAware`, `IManagedContainerProvider`, `IFactory`, `IFactoryKeyAware`, `ITreeFactory`

Direct Known Subclasses:
  `AnnotationFactory`

Enclosing class:
  TreeFactory

public abstract static class TreeFactory.ContainerAware extends TreeFactory implements IManagedContainerProvider, IManagedContainer.ContainerAware

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.factory.TreeFactory

`TreeFactory.ContainerAware`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`ContainerAware(String productGroup, String type)`
`ContainerAware(IFactoryKey key)`

## Method Summary

Modifier and Type
Method
Description
`final IManagedContainer`
`getContainer()`
`final void`
`setManagedContainer(IManagedContainer container)`
Assigns the container that I should use to get my dependencies.

### Methods inherited from class org.eclipse.net4j.util.factory.TreeFactory

`create, create, createDescription, createWithTree, getTreeFor, parseTree, productCreationException, productCreationException, xmlDeserialize, xmlSerialize`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

`getDescriptionFor, getKey`

## Constructor Details

### ContainerAware

public ContainerAware(IFactoryKey key)

### ContainerAware

public ContainerAware(String productGroup, String type)

## Method Details

### getContainer

public final IManagedContainer getContainer()

Specified by:
  `getContainer` in interface `IManagedContainerProvider`

### setManagedContainer

public final void setManagedContainer(IManagedContainer container)
Description copied from interface: `IManagedContainer.ContainerAware`
Assigns the container that I should use to get my dependencies.

Specified by:
  `setManagedContainer` in interface `IManagedContainer.ContainerAware`
Parameters:
  `container` - the container in which I am created/registered